<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Asistencias
 *
 * @ORM\Table(name="asistencias", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class Asistencias
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_asi", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAsi;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_ent", type="time", nullable=true)
     */
    private $horEnt = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_sal", type="time", nullable=true)
     */
    private $horSal = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus = '0';

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get ideAsi
     *
     * @return integer
     */
    public function getIdeAsi()
    {
        return $this->ideAsi;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Asistencias
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horEnt
     *
     * @param \DateTime $horEnt
     *
     * @return Asistencias
     */
    public function setHorEnt($horEnt)
    {
        $this->horEnt = $horEnt;
    
        return $this;
    }

    /**
     * Get horEnt
     *
     * @return \DateTime
     */
    public function getHorEnt()
    {
        return $this->horEnt;
    }

    /**
     * Set horSal
     *
     * @param \DateTime $horSal
     *
     * @return Asistencias
     */
    public function setHorSal($horSal)
    {
        $this->horSal = $horSal;
    
        return $this;
    }

    /**
     * Get horSal
     *
     * @return \DateTime
     */
    public function getHorSal()
    {
        return $this->horSal;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Asistencias
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return Asistencias
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
